# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.12")
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.12...4.1)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS KDE4__kdefakes KDE4__kdecore KDE4__kdeui KDE4__kpty KDE4__kdesu KDE4__kjs KDE4__kjsapi KDE4__kjsembed KDE4__kntlm KDE4__kio KDE4__solid KDE4__kunittest KDE4__kde3support KDE4__kfile KDE4__knewstuff2 KDE4__knewstuff3 KDE4__kparts KDE4__kemoticons KDE4__kidletime KDE4__kcmutils KDE4__kprintutils KDE4__kutils KDE4__threadweaver KDE4__khtml KDE4__ktexteditor KDE4__kmediaplayer KDE4__kimproxy KDE4__knotifyconfig KDE4__kdnssd KDE4__krosscore KDE4__krossui KDE4__plasma KDE4__kunitconversion KDE4__kdewebkit KDE4__kdeclarative)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr/pkg")

# Create imported target KDE4__kdefakes
add_library(KDE4__kdefakes SHARED IMPORTED)

# Create imported target KDE4__kdecore
add_library(KDE4__kdecore SHARED IMPORTED)

set_target_properties(KDE4__kdecore PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtDBus;Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__kdeui
add_library(KDE4__kdeui SHARED IMPORTED)

set_target_properties(KDE4__kdeui PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtGui;Qt4::QtSvg"
)

# Create imported target KDE4__kpty
add_library(KDE4__kpty SHARED IMPORTED)

set_target_properties(KDE4__kpty PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__kdesu
add_library(KDE4__kdesu SHARED IMPORTED)

set_target_properties(KDE4__kdesu PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__kjs
add_library(KDE4__kjs SHARED IMPORTED)

# Create imported target KDE4__kjsapi
add_library(KDE4__kjsapi SHARED IMPORTED)

# Create imported target KDE4__kjsembed
add_library(KDE4__kjsembed SHARED IMPORTED)

# Create imported target KDE4__kntlm
add_library(KDE4__kntlm SHARED IMPORTED)

# Create imported target KDE4__kio
add_library(KDE4__kio SHARED IMPORTED)

set_target_properties(KDE4__kio PROPERTIES
  INTERFACE_LINK_LIBRARIES "-lssl;-lcrypto;KDE4__kdeui;KDE4__kdecore;Qt4::QtNetwork;Qt4::QtXml;Qt4::QtGui"
)

# Create imported target KDE4__solid
add_library(KDE4__solid SHARED IMPORTED)

# Create imported target KDE4__kunittest
add_library(KDE4__kunittest SHARED IMPORTED)

set_target_properties(KDE4__kunittest PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__kde3support
add_library(KDE4__kde3support SHARED IMPORTED)

set_target_properties(KDE4__kde3support PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kio;KDE4__kdeui;KDE4__kdecore;Qt4::QtCore;-lpthread;Qt4::QtGui;Qt4::Qt3Support"
)

# Create imported target KDE4__kfile
add_library(KDE4__kfile SHARED IMPORTED)

set_target_properties(KDE4__kfile PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kio;KDE4__kdeui;KDE4__kdecore;Qt4::QtGui"
)

# Create imported target KDE4__knewstuff2
add_library(KDE4__knewstuff2 SHARED IMPORTED)

set_target_properties(KDE4__knewstuff2 PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;KDE4__kdecore;Qt4::QtGui"
)

# Create imported target KDE4__knewstuff3
add_library(KDE4__knewstuff3 SHARED IMPORTED)

set_target_properties(KDE4__knewstuff3 PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;KDE4__kdecore;Qt4::QtGui"
)

# Create imported target KDE4__kparts
add_library(KDE4__kparts SHARED IMPORTED)

set_target_properties(KDE4__kparts PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kio;KDE4__kdeui;KDE4__kdecore;Qt4::QtCore;-lpthread;Qt4::QtGui"
)

# Create imported target KDE4__kemoticons
add_library(KDE4__kemoticons SHARED IMPORTED)

set_target_properties(KDE4__kemoticons PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;KDE4__kdeui;Qt4::QtGui"
)

# Create imported target KDE4__kidletime
add_library(KDE4__kidletime SHARED IMPORTED)

set_target_properties(KDE4__kidletime PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;KDE4__kdeui;Qt4::QtGui"
)

# Create imported target KDE4__kcmutils
add_library(KDE4__kcmutils SHARED IMPORTED)

set_target_properties(KDE4__kcmutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;KDE4__kdeui;Qt4::QtGui"
)

# Create imported target KDE4__kprintutils
add_library(KDE4__kprintutils SHARED IMPORTED)

set_target_properties(KDE4__kprintutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;KDE4__kdeui;Qt4::QtGui"
)

# Create imported target KDE4__kutils
add_library(KDE4__kutils SHARED IMPORTED)

set_target_properties(KDE4__kutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;KDE4__kdeui;Qt4::QtGui;KDE4__kemoticons;KDE4__kidletime;KDE4__kcmutils;KDE4__kprintutils"
)

# Create imported target KDE4__threadweaver
add_library(KDE4__threadweaver SHARED IMPORTED)

set_target_properties(KDE4__threadweaver PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__khtml
add_library(KDE4__khtml SHARED IMPORTED)

set_target_properties(KDE4__khtml PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/pkg/lib/libphonon.so;KDE4__kparts;KDE4__kjs;KDE4__kio;KDE4__kdeui;KDE4__kdecore;Qt4::QtCore;-lpthread;Qt4::QtGui"
)

# Create imported target KDE4__ktexteditor
add_library(KDE4__ktexteditor SHARED IMPORTED)

set_target_properties(KDE4__ktexteditor PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kparts"
)

# Create imported target KDE4__kmediaplayer
add_library(KDE4__kmediaplayer SHARED IMPORTED)

set_target_properties(KDE4__kmediaplayer PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kparts;Qt4::QtGui"
)

# Create imported target KDE4__kimproxy
add_library(KDE4__kimproxy SHARED IMPORTED)

set_target_properties(KDE4__kimproxy PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__knotifyconfig
add_library(KDE4__knotifyconfig SHARED IMPORTED)

set_target_properties(KDE4__knotifyconfig PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtGui"
)

# Create imported target KDE4__kdnssd
add_library(KDE4__kdnssd SHARED IMPORTED)

set_target_properties(KDE4__kdnssd PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__krosscore
add_library(KDE4__krosscore SHARED IMPORTED)

set_target_properties(KDE4__krosscore PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtScript;Qt4::QtXml"
)

# Create imported target KDE4__krossui
add_library(KDE4__krossui SHARED IMPORTED)

# Create imported target KDE4__plasma
add_library(KDE4__plasma SHARED IMPORTED)

set_target_properties(KDE4__plasma PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;KDE4__kdecore;Qt4::QtGui"
)

# Create imported target KDE4__kunitconversion
add_library(KDE4__kunitconversion SHARED IMPORTED)

# Create imported target KDE4__kdewebkit
add_library(KDE4__kdewebkit SHARED IMPORTED)

set_target_properties(KDE4__kdewebkit PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kparts;KDE4__kio;KDE4__kdecore;Qt4::QtWebKit;Qt4::QtNetwork;Qt4::QtGui;Qt4::QtCore;-lpthread"
)

# Create imported target KDE4__kdeclarative
add_library(KDE4__kdeclarative SHARED IMPORTED)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/KDELibs4LibraryTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
